--Created By Valltron 21.02.2010 13:46

--------------------------------------------------------------------------------
-- EVENT HANDLERS
--------------------------------------------------------------------------------

function OnScriptRequestBag( params )
	local currentBagSize = avatar.InventoryGetBaseBagSlotCount()
	if params.isOpen then
		if params.bagMode == BAG_MODE_VENDOR then
			for slotIndex = 0, currentBagSize - 1 do
				local itemId = avatar.GetInventoryItemId( slotIndex )
				if itemId then
					local itemInfo = avatar.GetItemInfo( itemId )
					if itemInfo.quality <= 1 then
						avatar.Sell( slotIndex, itemInfo.stackCount )
					end
				end
			end
		end
	end
end

--------------------------------------------------------------------------------
-- INITIALIZATION
--------------------------------------------------------------------------------
function Init()
	common.RegisterEventHandler( OnScriptRequestBag, "SCRIPT_REQUEST_BAG" )
end
--------------------------------------------------------------------------------
Init()
--------------------------------------------------------------------------------